Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.devel
Class jspViewer

    java.lang.Object
      org.makumba.devel.LineViewer
          org.makumba.devel.jspViewer

All Implemented Interfaces:
  SourceViewer

Direct Known Subclasses:
  BLMethods, GeneratedCodeViewer

    public class jspViewer

extends LineViewer

This class implements a viewer for .jsp files, and provides highlighting of , and JSTL tags.

Version:
  $Id: jspViewer.java 3591 2009-01-07 16:28:50Z rosso_nero $
Author:
  Stefan Baebler, Rudolf Mayer

Field Summary
`(package private) boolean` | `hasLogic`
`protected SyntaxPoint[]` | `sourceSyntaxPoints`
`protected SourceSyntaxPoints` | `syntaxPoints`

Fields inherited from class org.makumba.devel.LineViewer
`caughtError, codeBackgroundStyle, contextPath, dir, hideLineNumbers, importedClasses, importedPackages, jspClasspath, jspSourceViewExtension, logicPath, PARAM_HIDE_LINES, printHeaderFooter, printLineNumbers, reader, realPath, request, searchCompiledJSPClasses, searchJavaClasses, searchJSPPages, searchMDD, servletPath, title, virtualPath`

Constructor Summary
`jspViewer(HttpServletRequest req)`
`jspViewer(HttpServletRequest req, boolean printLineNumbers)`

Method Summary
`void` | `intro(PrintWriter w)` Write the page header to the given writer.
`void` | `parseText(PrintWriter writer)` Parse the text and write the output Known problems: when hiding parts of the code (e.g.
`protected void` | `printPageBeginAdditional(PrintWriter writer)`

Methods inherited from class org.makumba.devel.LineViewer
`addImportedPackages, findClass, findClassSimple, findCompiledJSP, findPage, footer, formatClassLink, formatClassLink, formatJSPLink, formatMakumbaLink, formatMDDLink, formatSunTaglibLink, getDirectory, getLineTag, getLineTokenizer, getReader, htmlEscape, main, parseLine, printFileRelations, printLine, printPageBegin, printPageEnd, printVersionControlLink, readFromURL, setSearchLevels, writeAdditionalLinks`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hasLogic

    boolean hasLogic

### sourceSyntaxPoints

    protected SyntaxPoint[] sourceSyntaxPoints

### syntaxPoints

    protected SourceSyntaxPoints syntaxPoints

Constructor Detail

### jspViewer

    public jspViewer(HttpServletRequest req,
                     boolean printLineNumbers)
              throws Exception

Throws:
  `Exception`

### jspViewer

    public jspViewer(HttpServletRequest req)
              throws Exception

Throws:
  `Exception`

Method Detail

### intro

    public void intro(PrintWriter w)
               throws IOException

  Description copied from class: `LineViewer`
  Write the page header to the given writer.

  Overrides:
    `intro` in class `LineViewer`
  Throws:
    `IOException`

### parseText

    public void parseText(PrintWriter writer)
                   throws IOException

  Parse the text and write the output
  Known problems: when hiding parts of the code (e.g. HTML, JSTL,..) nested tags work only up to one level (i.e. a tag nested in a tag nested in a tag might not be hidden/shown as expected)

  Specified by:
    `parseText` in interface `SourceViewer`
  Overrides:
    `parseText` in class `LineViewer`
  Throws:
    `IOException`

### printPageBeginAdditional

    protected void printPageBeginAdditional(PrintWriter writer)
                                     throws IOException

  Overrides:
    `printPageBeginAdditional` in class `LineViewer`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20